質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.47%

  • Ruby

    7943questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 4

    2455questions

    Ruby on Rails4はRubyによって書かれたオープンソースのウェブフレームワークです。 Ruby on Railsは「設定より規約」の原則に従っており、効率的に作業を行うために再開発を行う必要をなくしてくれます。

  • RubyGems

    338questions

    RubyGemsはRubyによるプログラミングのためのパッケージマネジメントツールです。ユーザはこれを使用することで、Rubyライブラリのダウンロードやアップデートや、依存関係の自動解決が可能になります。

mysql2がインストール出来ません

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,786

sorachi77

score 9

前提・実現したいこと

ruby on railsをmysqlで使ってみようと思い、gemにmysql2をインストールしようとしたのですが、異常終了しました。
当方rubyは初心者で、色々検索してみたのですが解決することが出来ず、質問させていただきました。
申し訳ございませんが、解決方法等分かる方がいらっしゃいましたら、お願い致します。

発生している問題・エラーメッセージ

エラーメッセージ
[vagrant@localhost ~]$ gem install mysql2
Building native extensions.  This could take a while...
ERROR:  Error installing mysql2:
    ERROR: Failed to build gem native extension.

    /home/vagrant/.rbenv/versions/2.2.2/bin/ruby -r ./siteconf20160411-7376-x7sxb2.rb extconf.rb
checking for ruby/thread.h... yes
checking for rb_thread_call_without_gvl() in ruby/thread.h... yes
checking for rb_thread_blocking_region()... no
checking for rb_wait_for_single_fd()... yes
checking for rb_hash_dup()... yes
checking for rb_intern3()... yes
ーーー
Using mysql_config at /usr/bin/mysql_config
ーーー
checking for mysql.h... yes
checking for errmsg.h... yes
checking for mysqld_error.h... yes
ーーー
Setting libpath to /usr/lib64
ーーー
creating Makefile

make "DESTDIR=" clean

make "DESTDIR="
compiling mysql2_ext.c
compiling statement.c
statement.c: In function ‘rb_raise_mysql2_stmt_error’:
statement.c:47: 警告: ISO C90 forbids mixed declarations and code
statement.c:54: 警告: ISO C90 forbids mixed declarations and code
statement.c: In function ‘execute’:
statement.c:227: 警告: ISO C90 forbids mixed declarations and code
statement.c:329: 警告: ISO C90 forbids mixed declarations and code
compiling result.c
compiling client.c
compiling infile.c
linking shared-object mysql2/mysql2.so
/usr/bin/ld: cannot find -lmysqlclient
collect2: ld はステータス 1 で終了しました
make: *** [mysql2.so] エラー 1

make failed, exit code 2

Gem files will remain installed in /home/vagrant/.rbenv/versions/2.2.2/lib/ruby/gems/2.2.0/gems/mysql2-0.4.3 for inspection.
Results logged to /home/vagrant/.rbenv/versions/2.2.2/lib/ruby/gems/2.2.0/extensions/x86_64-linux/2.2.0-static/mysql2-0.4.3/gem_make.out

試したこと

検索で見つかったmysql-develのインストールも行いましたが、解決しませんでした。

補足情報(言語/FW/ツール等のバージョンなど)

[vagrant@localhost ~]$ ruby -v
ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-linux]
[vagrant@localhost ~]$ mysql --version
mysql  Ver 14.14 Distrib 5.6.20, for Linux (x86_64) using  EditLine wrapper

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

エラーメッセージの

/usr/bin/ld: cannot find -lmysqlclient 

で検索したところ、以下のページを見つけました。
https://github.com/brianmario/mysql2/issues/687

このページによると

 I removed all mysql related packages and reinstalled mysql-devel, mysql, mysql-server, mysql-lib. gem install mysql -v '0.3.11' successfully installed.

とのことですので、一度、試してみてはいかがでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/18 21:30

    ご回答ありがとうございます。

    ご提案頂いたとおり実行してみたところ、無事にインストールすることが出来ました。すでにあるmysql-develが何か悪さをしていたのですかね(バージョンが悪いなど)。

    ちなみに、以下サイトの通り全てのパッケージを削除して再インストールしました。
    http://qiita.com/tadatti/items/9de6dd30e3a9a0c5324b#2-3

    困り果てておりましたので、大変助かりました。
    感謝申し上げます。

    キャンセル

0

下記を実行してみてください。

yum install mysql-devel

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/18 19:08 編集

    ご回答ありがとうございます。

    実行しましたところ、既にインストールしてあるmysql-develと競合しているようです。
    インストールは、以下サイト様を参考にさせていただいております。(http://qiita.com/icche/items/938290c8fce954c58abf)

    [root@localhost lib]# yum install mysql-devel
    読み込んだプラグイン:fastestmirror
    インストール処理の設定をしています
    Loading mirror speeds from cached hostfile
    epel/metalink | 5.1 kB 00:00
    * base: www.ftp.ne.jp
    * epel: ftp.jaist.ac.jp
    * extras: www.ftp.ne.jp
    * remi-safe: remi.kazukioishi.net
    * updates: www.ftp.ne.jp
    base | 3.7 kB 00:00
    extras | 3.4 kB 00:00
    nodesource | 2.5 kB 00:00
    remi-safe | 2.9 kB 00:00
    remi-safe/primary_db | 266 kB 00:03
    updates | 3.4 kB 00:00
    依存性の解決をしています
    --> トランザクションの確認を実行しています。
    ---> Package mysql-devel.x86_64 0:5.1.73-5.el6_7.1 will be インストール
    --> 依存性の処理をしています: mysql = 5.1.73-5.el6_7.1 のパッケージ: mysql-devel-5.1.73-5.el6_7.1.x86_64
    --> トランザクションの確認を実行しています。
    ---> Package mysql.x86_64 0:5.1.73-5.el6_7.1 will be インストール
    --> 衝突を処理しています: mysql-devel-5.1.73-5.el6_7.1.x86_64 は MySQL-devel と衝突しています
    --> 依存性解決を終了しました。
    エラー: mysql-devel conflicts with MySQL-devel-5.6.20-1.linux_glibc2.5.x86_64
    問題を回避するために --skip-broken を用いることができません
    これらを試行できます: rpm -Va --nofiles --nodigest
    [root@localhost lib]

    キャンセル

関連した質問

同じタグがついた質問を見る

  • Ruby

    7943questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 4

    2455questions

    Ruby on Rails4はRubyによって書かれたオープンソースのウェブフレームワークです。 Ruby on Railsは「設定より規約」の原則に従っており、効率的に作業を行うために再開発を行う必要をなくしてくれます。

  • RubyGems

    338questions

    RubyGemsはRubyによるプログラミングのためのパッケージマネジメントツールです。ユーザはこれを使用することで、Rubyライブラリのダウンロードやアップデートや、依存関係の自動解決が可能になります。